|
|
@ -14,14 +14,17 @@ from math import ceil, floor |
|
|
|
Workplane = cqmore.extend(Workplane) |
|
|
|
Workplane.addSvgPath = addSvgPath |
|
|
|
|
|
|
|
screw_simple = False # Controls whether to not actually make the screw threads, saves time running it for testing |
|
|
|
screw_simple = False # Controls whether to not actually make the screw threads, saves time running it for testing |
|
|
|
|
|
|
|
pole_height = 24.5 |
|
|
|
pole_dist = 10 |
|
|
|
|
|
|
|
screw_length = 10 # FIXME need different ones for different holes |
|
|
|
screw_length = 10 # FIXME need different ones for different holes |
|
|
|
top_screw = ButtonHeadScrew( |
|
|
|
size="M3-0.5", fastener_type="iso7380_1", length=screw_length * MM, simple=screw_simple |
|
|
|
size="M3-0.5", |
|
|
|
fastener_type="iso7380_1", |
|
|
|
length=screw_length * MM, |
|
|
|
simple=screw_simple, |
|
|
|
) |
|
|
|
|
|
|
|
gland_diameter = 15 |
|
|
@ -62,22 +65,37 @@ box_thickness = 25 |
|
|
|
|
|
|
|
lower_box = Workplane() |
|
|
|
|
|
|
|
def make_component_holder(result, pole_dist, pole_height, box_width, box_height, wall_thickness, x_offset=0, y_offset=0): |
|
|
|
|
|
|
|
def make_component_holder( |
|
|
|
result, |
|
|
|
pole_dist, |
|
|
|
pole_height, |
|
|
|
box_width, |
|
|
|
box_height, |
|
|
|
wall_thickness, |
|
|
|
x_offset=0, |
|
|
|
y_offset=0, |
|
|
|
): |
|
|
|
return ( |
|
|
|
result.workplane(offset=(pole_height/2)-wall_thickness).move(x_offset, y_offset) |
|
|
|
result.workplane(offset=(pole_height / 2) - wall_thickness) |
|
|
|
.move(x_offset, y_offset) |
|
|
|
.rect( |
|
|
|
box_height - wall_thickness - pole_dist, box_width - wall_thickness - pole_dist |
|
|
|
box_height - wall_thickness - pole_dist, |
|
|
|
box_width - wall_thickness - pole_dist, |
|
|
|
) |
|
|
|
.vertices() |
|
|
|
.cylinder(pole_height, 3) |
|
|
|
.workplane(offset=(pole_height-wall_thickness+1.5)).move(x_offset, y_offset) |
|
|
|
.workplane(offset=(pole_height - wall_thickness + 1.5)) |
|
|
|
.move(x_offset, y_offset) |
|
|
|
.rect( |
|
|
|
box_height - wall_thickness - pole_dist, box_width - wall_thickness - pole_dist |
|
|
|
box_height - wall_thickness - pole_dist, |
|
|
|
box_width - wall_thickness - pole_dist, |
|
|
|
) |
|
|
|
.vertices() |
|
|
|
.threadedHole(top_screw, pole_height*0.4, simple=screw_simple) |
|
|
|
.threadedHole(top_screw, pole_height * 0.4, simple=screw_simple) |
|
|
|
) |
|
|
|
|
|
|
|
|
|
|
|
lower_box = ( |
|
|
|
lower_box.box(box_height, box_width, box_thickness) |
|
|
|
.workplane(offset=wall_thickness) |
|
|
@ -89,22 +107,18 @@ lower_box = ( |
|
|
|
) |
|
|
|
) |
|
|
|
|
|
|
|
lower_box = make_component_holder(lower_box, |
|
|
|
pole_dist, |
|
|
|
pole_height, |
|
|
|
box_width, |
|
|
|
box_height, |
|
|
|
wall_thickness, |
|
|
|
) |
|
|
|
|
|
|
|
lower_box = make_component_holder(lower_box, |
|
|
|
pole_dist, |
|
|
|
10, |
|
|
|
50, |
|
|
|
30, |
|
|
|
wall_thickness, |
|
|
|
x_offset=10, |
|
|
|
y_offset=15) |
|
|
|
lower_box = make_component_holder( |
|
|
|
lower_box, |
|
|
|
pole_dist, |
|
|
|
pole_height, |
|
|
|
box_width, |
|
|
|
box_height, |
|
|
|
wall_thickness, |
|
|
|
) |
|
|
|
|
|
|
|
lower_box = make_component_holder( |
|
|
|
lower_box, pole_dist, 10, 50, 30, wall_thickness, x_offset=10, y_offset=15 |
|
|
|
) |
|
|
|
|
|
|
|
cq.exporters.export(lower_box, "/home/deck/model_files/fan_control_box_lower.step") |
|
|
|
|
|
|
|